ranges::aux::copy_fn Struct Reference
Inheritance diagram for ranges::aux::copy_fn:

## Friends

template<typename T >
constexpr friend auto | operator| (T &&t, copy_fn) -> detail::decay_t< T > requires ` constructible_from< detail::decay_t< T >, T >

## Public Member Functions

template<typename T >
CPP_TEMPLATE_AUX_0 | c (requires ` constructible_from< detail::decay_t< T >, T >) ccconstexpr auto operator()(T &&t) const -> detail::decay_t< T >